Bug 510296 - anaconda creates filesystem larger than partition
anaconda creates filesystem larger than partition
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-08 11:45 EDT by Orion Poplawski
Modified: 2010-05-26 18:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-26 18:17:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
storage.log (115.35 KB, text/plain)
2009-07-08 11:45 EDT, Orion Poplawski
no flags Details

  None (edit)
Description Orion Poplawski 2009-07-08 11:45:42 EDT
Created attachment 350957 [details]
storage.log

Description of problem:

Installing with the following kickstart partitioning;

bootloader --location=mbr --driveorder=sda
clearpart --linux --drives=sda
part /boot --size=100
part swap --recommended
part / --size=9000 --grow

On reboot, system fails to mount /boot from /dev/sda3 with:

/dev/sda3 filesystem size (according to superblock) is 14420 blocks
The physical size of the device is 102400 blocks
Either the superblock of the partition table is likely to be corrupt.

fdisk reports:

Disk /dev/sda: 80.0 GB, 80000000000 bytes
255 heads, 63 sectors/track, 9726 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Disk identifier: 0x00000080

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1               1           6       48163+  de  Dell Utility
/dev/sda2               7         268     2104515    b  W95 FAT32
/dev/sda3   *         269         281      102400   83  Linux
Partition 3 does not end on cylinder boundary.
/dev/sda4             282        9726    75866962+   5  Extended
/dev/sda5             282        8980    69872409   83  Linux
/dev/sda6            8980        9649     5374975   83  Linux

Version-Release number of selected component (if applicable):
11.5.0.59

How reproducible:

On another system I have:

Disk /dev/sda: 500.1 GB, 500107862016 bytes
255 heads, 63 sectors/track, 60801 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Disk identifier: 0x0007f8d3

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1   *           1          13      102400   83  Linux
Partition 1 does not end on cylinder boundary.
/dev/sda2              13       60544   486217217   83  Linux
/dev/sda3           60544       60801     2064384   83  Linux

so, same partition size (and still not on cylinder boundary), but it is the correct size:

# e2fsck  /dev/sda1
e2fsck 1.41.4 (27-Jan-2009)
/dev/sda1: clean, 38/25688 files, 17230/102400 blocks
Comment 1 pascal.jouet 2009-08-16 09:35:03 EDT
See also
FEDORA with fdisk does not provide the right number of cylinders
16709 instead of 19457 cylinders
acer TravelMate 2300
-SCSI Disks- western digital ATA WDC WD1600BEVE-0
Compared to FEDORA UBUNTU
with FEDORA 10
# sfdisk -l

Disque /dev/sda: 16709 cylindres, 255 têtes, 63 secteurs/piste
Unités= cylindres de 8225280 octets, blocs de 1024 octets, décompte à partir de 0

   Périph Amor Début     Fin   #cyls    #blocs    Id  Système
/dev/sda1   *      0+   1911    1912-  15358108+   c  W95 FAT32 (LBA)
/dev/sda2       1912    3823    1912   15358140    7  HPFS/NTFS
		début: (c,h,s) expecté (1023,254,63) trouvé (1023,0,1)
/dev/sda3       3824    7010    3187   25599577+  83  Linux
/dev/sda4       7011   19456   12446   99972495    5  Extended
/dev/sda5       7011+   7137     127-   1020096   82  Linux swap / Solaris
/dev/sda6       7138+  10324    3187-  25599546   83  Linux
/dev/sda7      10325+  12756    2432-  19535008+  83  Linux
/dev/sda8      12757+  19456    6700-  53817718+  83  Linux


# sfdisk -V /dev/sda
	
WARNING: Partition 4 extends beyond the end of the disk

# fdisk -l

Disque /dev/sda: 137.4 Go, 137438952960 octets
255 heads, 63 sectors/track, 16709 cylinders
Units = cylindres of 16065 * 512 = 8225280 bytes
Disk identifier: 0x000bac3a

Périphérique Amorce    Début         Fin      Blocs    Id  Système
/dev/sda1   *           1        1912    15358108+   c  W95 FAT32 (LBA)
/dev/sda2            1913        3824    15358140    7  HPFS/NTFS
/dev/sda3            3825        7011    25599577+  83  Linux
/dev/sda4            7012       19457    99972495    5  Extended
/dev/sda5            7012        7138     1020096   82  Linux swap / Solaris
/dev/sda6            7139       10325    25599546   83  Linux
/dev/sda7           10326       12757    19535008+  83  Linux
/dev/sda8           12758       19457    53817718+  83  Linux

with Ubuntu 9.04
sudo sfdisk -l

Disque /dev/sda : 19457 cylindres, 255 têtes, 63 secteurs/piste
Unités= cylindres de 8225280 octets, blocs de 1024 octets, décompte à partir de 0

   Périph Amor Début     Fin   #cyls    #blocs    Id  Système
/dev/sda1   *      0+   1911    1912-  15358108+   c  W95 FAT32 (LBA)
/dev/sda2       1912    3823    1912   15358140    7  HPFS/NTFS
		début: (c,h,s) attendu (1023,254,63) trouvé (1023,0,1)
/dev/sda3       3824    7010    3187   25599577+  83  Linux
/dev/sda4       7011   19456   12446   99972495    5  Etendue
/dev/sda5       7011+   7137     127-   1020096   82  Linux swap / Solaris
/dev/sda6       7138+  10324    3187-  25599546   83  Linux
/dev/sda7      10325+  12756    2432-  19535008+  83  Linux
/dev/sda8      12757+  19456    6700-  53817718+  83  Linux


sudo sfdisk -V
partition 2 : début : (c,h,s) attendu (1023,254,63) trouvé (1023,0,1)
/dev/sda: OK

sudo fdisk -l

Disque /dev/sda: 160.0 Go, 160041885696 octets
255 têtes, 63 secteurs/piste, 19457 cylindres
Unités = cylindres de 16065 * 512 = 8225280 octets
Identifiant de disque : 0x000bac3a

Périphérique Amorce  Début        Fin      Blocs     Id  Système
/dev/sda1   *           1        1912    15358108+   c  W95 FAT32 (LBA)
/dev/sda2            1913        3824    15358140    7  HPFS/NTFS
/dev/sda3            3825        7011    25599577+  83  Linux
/dev/sda4            7012       19457    99972495    5  Etendue
/dev/sda5            7012        7138     1020096   82  Linux swap / Solaris
/dev/sda6            7139       10325    25599546   83  Linux
/dev/sda7           10326       12757    19535008+  83  Linux
/dev/sda8           12758       19457    53817718+  83  Linux
Comment 2 Bug Zapper 2010-04-27 11:32:59 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Chris Lumens 2010-05-26 17:18:49 EDT
Is this still a problem in F13?
Comment 4 Orion Poplawski 2010-05-26 18:17:23 EDT
I'm going to say this was fixed in F12.  I'll reopen if I see it again.

Note You need to log in before you can comment on or make changes to this bug.